﻿//【登録場所】 全体、レス表示
//【ラベル】 レスタブソート
//【内容】 レスタブの順番を、新着数昇順でソートして、最後にDat落ちスレを並べる。
//※レスタブ設定で、「新しいタブの位置」を最後にして、「同じ板のスレッドの後に追加」のチェックをはずした場合です。
//※ロックしたスレッド、ローカル板、twitterはソート対象にならない。まとめて前方に移動する。
//※レス表示カラムが複数あるとカラム位置が移動してしまうため非対応。
//【コマンド】 $SCRIPT sortResTabs.js
//【スクリプト】
// ----- 次の行から -----
function sortResTabs() {
	var ts = v2c.resPane.threads;
	var ss = []; //ソートスレッドArray
	var ds = []; //DAT落ちスレッドArray
	var compareLocalResCounts = function(a, b) {return a.localResCount - b.localResCount;};
	var compareNewResCounts = function(a, b) {return a.newResCount - b.newResCount;};
	var compareSpeeds = function(a, b) {return a.speed - b.speed;};
	for (var i = ts.length - 1; i >= 0; i--) {
		var th = ts[i];
		if (th.lock || th.local || th.bbs.twitter) {
			continue;
		};
		if (!th.live) {
			ds.push(th);
		} else {
			ss.push(th);
		};
		th.close();
	};
//	ds.sort(compareSpeeds);
	ss.sort(compareNewResCounts);
	ts = ss.concat(ds);
	for (var j = 0; j < ts.length; j++) {
		ts[j].open(false, true, false);
	};
};
sortResTabs();
// ----- 前の行から -----